using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 小组
    /// </summary>
    [DataTable("tede_group")]
    public class Group : Datory.Entity
    {
        /// <summary>
        /// 小组名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }

        /// <summary>
        /// 小组创始人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
        [DataColumn]
        public string QRCoder { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        [DataColumn]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>
        [DataColumn]
        public string Introduce { get; set; }

        /// <summary>
        ///是否管理用同意
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>
        [DataColumn]
        public bool IsWords { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>
        [DataColumn]
        public bool IsUDisturb { get; set; }

      
    }
}
