namespace GxPress.Request.App.Analyze
{
    /// <summary>
    /// 文章 点赞 评论点赞 转发 收藏
    /// </summary>
    public class AnalyzeRequest
    {
        /// <summary>
        /// 数据来源ID
        /// </summary>
        public int SourceId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        public int CommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 文章点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        public int AnalyzeType { get; set; }

        /// <summary>
        ///状态 10 会议纪要 0 文章 1 话题 2 通知 3 笔记  4站内信 12 收藏文件夹 13 笔记文件夹
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        /// <summary>
        /// 笔记收藏对应的用户ID
        /// </summary>
        /// <value></value>
        public int SourceUserId { get; set; }
    }
}