using GxPress.Common.Page;

namespace GxPress.Request.Comment
{
    /// <summary>
    /// 评论分页
    /// </summary>
    public class CommentSearchPageRequest : PageParameter
    {
        /// <summary>
        /// 文章Id
        /// </summary>
        public int ArticleId { get; set; }

        /// <summary>
        /// 状态 10 会议纪要 0 文章 1 话题 2 通知 3 笔记
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }

        /// <summary>
        /// 条数
        /// </summary>
        /// <value></value>
        public int Total { get; set; }

    }
    /// <summary>
    /// 评论分页
    /// </summary>
    public class CommentSearchRequest : PageParameter
    {

        /// <summary>
        /// 搜索字段
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
    }
}
